local addonName, vars = ...
vars.svnrev = {}
vars.svnrev["glyphdata.lua"] = tonumber(("$Revision: 126 $"):match("%d+"))

vars.glyphlevel = { 
  [1] = 25, -- major
  [2] = 25, -- minor
  [3] = 50, -- minor
  [4] = 50, -- major
  [5] = 75, -- minor
  [6] = 75, -- major
  [7] = 25, -- prime
  [8] = 50, -- prime
  [9] = 75, -- prime
}

vars.glyphdata = {

-- Death Knight  1=blood, 2=frost, 3=unholy
  -- [58623] = ,      -- Glyph of Anti-Magic Shell
  -- [59332] = ,      -- Glyph of Blood Boil
  -- [58640] = ,      -- Glyph of Blood Tap
     [58673] = 1,     -- Glyph of Bone Shield
  -- [58620] = ,      -- Glyph of Chains of Ice
     [63330] = 1,     -- Glyph of Dancing Rune Weapon
  -- [96279] = ,      -- Glyph of Dark Succor
  -- [58629] = ,      -- Glyph of Death Coil
  -- [63333] = ,      -- Glyph of Death Gate
  -- [60200] = ,      -- Glyph of Death Grip
  -- [62259] = ,      -- Glyph of Death Strike
  -- [59336] = ,      -- Glyph of Death's Embrace
  -- [58677] = ,      -- Glyph of Death. and Decay
     [58647] = 2,     -- Glyph of Frost Strike
     [58616] = 1,     -- Glyph of Heart Strike
  -- [58680] = ,      -- Glyph of Horn of Winter
     [63335] = 2,     -- Glyph of Howling Blast
     [63331] = 2,     -- Glyph of Hungering Cold
  -- [58631] = ,      -- Glyph of Icy Touch
     [58671] = 2,     -- Glyph of Obliterate
  -- [59307] = ,      -- Glyph of Path of Frost
  -- [58657] = ,      -- Glyph of Pestilence
     [58635] = 2,     -- Glyph of Pillar of Frost
     [58686] = 3,     -- Glyph of Raise Dead
  -- [59309] = ,      -- Glyph of Resilient Grip
     [58669] = 1,     -- Glyph of Rune Strike
     [59327] = 1,     -- Glyph of Rune Tap
     [58642] = 3,     -- Glyph of Scourge Strike.
  -- [58618] = ,      -- Glyph of Strangulate
     [58676] = 1,     -- Glyph of Vampiric Blood
  
-- Druid  1=balance, 2=feral, 3=resto
  -- [57856] = ,      -- Glyph of Aquatic Form
  -- [63057] = ,      -- Glyph of Barkskin
     [62969] = 2,     -- Glyph of Berserk
     [54815] = 2,     -- Glyph of Bloodletting
  -- [57858] = ,      -- Glyph of Challenging Roar
  -- [59219] = ,      -- Glyph of Dash
  -- [54760] = ,      -- Glyph of Entangling Roots
  -- [94386] = ,      -- Glyph of Faerie Fire
     [94388] = 2,     -- Glyph of Feral Charge
     [67598] = 2,     -- Glyph of Ferocious Bite
     [62080] = 1,     -- Glyph of Focus
  -- [54810] = ,      -- Glyph of Frenzied Regeneration
     [54825] = 3,     -- Glyph of Healing Touch
  -- [54831] = ,      -- Glyph of Hurricane
     [54832] = 1,     -- Glyph of Insect Swarm
     [54830] = {1,3}, -- Glyph of Innervate     
     [94382] = 2,     -- Glyph of Lacerate
     [54826] = 3,     -- Glyph of Lifebloom
     [54813] = 2,     -- Glyph of Mangle
  -- [57855] = ,      -- Glyph of Mark of the Wild
     [54811] = 2,     -- Glyph of Maul
     [63056] = 1,     -- Glyph of Monsoon
     [54829] = 1,     -- Glyph of Moonfire
     [54821] = 2,     -- Glyph of Pounce
  -- [54733] = ,      -- Glyph of Rebirth
     [54743] = 3,     -- Glyph of Regrowth
     [54754] = 3,     -- Glyph of Rejuvenation
     [54818] = 2,     -- Glyph of Rip
     [63055] = 2,     -- Glyph of Savage Roar
     [54812] = 1,     -- Glyph of Solar Beam
     [54828] = 1,     -- Glyph of Starfall
     [54845] = 1,     -- Glyph of Starfire
     [62971] = 1,     -- Glyph of Starsurge
     [54824] = 3,     -- Glyph of Swiftmend
  -- [95212] = ,      -- Glyph of the Treant -- minor resto     
  -- [57862] = ,      -- Glyph of Thorns
     [94390] = 2,     -- Glyph of Tiger's Fury
     [62135] = 1,     -- Glyph of Typhoon
  -- [57857] = ,      -- Glyph of Unburdened Rebirth
     [62970] = 3,     -- Glyph of Wild Growth
     [54756] = 1,     -- Glyph of Wrath
  
-- Hunter   1=BM, 2=MM, 3=SV
     [56824] = 2,     -- Glyph of Aimed Shot
  -- [56841] = ,      -- Glyph of Arcane Shot
  -- [57904] = ,      -- Glyph of Aspect of the Pack
     [56830] = 1,     -- Glyph of Bestial Wrath
     [63065] = 2,     -- Glyph of Chimera Shot   
  -- [56851] = ,      -- Glyph of Concussive Shot
  -- [56856] = ,      -- Glyph of Dazzled Prey
  -- [56850] = ,      -- Glyph of Deterrence
  -- [56844] = ,      -- Glyph of Disengage
     [63066] = 3,     -- Glyph of Explosive Shot
  -- [57903] = ,      -- Glyph of Feign Death
  -- [56845] = ,      -- Glyph of Freezing Trap
  -- [56847] = ,      -- Glyph of Ice Trap
  -- [56846] = ,      -- Glyph of Immolation Trap
     [56842] = 1,     -- Glyph of Kill Command
  -- [63067] = ,      -- Glyph of Kill Shot
  -- [57870] = ,      -- Glyph of Lesser Proportion
  -- [63068] = ,      -- Glyph of Master's Call
  -- [56833] = ,      -- Glyph of Mending
  -- [56829] = ,      -- Glyph of Misdirection
  -- [56828] = ,      -- Glyph of Rapid Fire
  -- [63086] = ,      -- Glyph of Raptor Strike
  -- [57866] = ,      -- Glyph of Revive Pet
  -- [57902] = ,      -- Glyph of Scare Beast
  -- [63069] = ,      -- Glyph of Scatter Shot
  -- [56832] = ,      -- Glyph of Serpent Sting
     [56836] = 2,     -- Glyph of Silencing Shot
  -- [56849] = ,      -- Glyph of Snake Trap
  -- [56826] = ,      -- Glyph of Steady Shot
  -- [56857] = ,      -- Glyph of Trap Launcher
     [56848] = 3,     -- Glyph of Wyvern Sting

-- Mage   1=arcane, 2=fire, 3=frost
     [63092] = 1,     -- Glyph of Arcane Barrage
     [62210] = 1,     -- Glyph of Arcane Blast
  -- [57924] = ,      -- Glyph of Arcane Brilliance
     [56363] = 1,     -- Glyph of Arcane Missiles
     [56381] = 1,     -- Glyph of Arcane Power
  -- [89749] = ,      -- Glyph of Armors
     [62126] = 2,     -- Glyph of Blast Wave
  -- [56365] = ,      -- Glyph of Blink
     [56364] = 3,     -- Glyph of Cone of Cold
  -- [57928] = ,      -- Glyph of Conjuring
     [63090] = 3,     -- Glyph of Deep Freeze
     [56373] = 2,     -- Glyph of Dragon's Breath
  -- [56380] = ,      -- Glyph of Evocation
     [56368] = 2,     -- Glyph of Fireball
  -- [98397] = ,      -- Glyph of Frost Armor
  -- [56376] = ,      -- Glyph of Frost Nova
     [56370] = 3,     -- Glyph of Frostbolt
     [61205] = 3,     -- Glyph of Frostfire
     [63095] = 3,     -- Glyph of Ice Barrier
  -- [56372] = ,      -- Glyph of Ice Block
     [56377] = 3,     -- Glyph of Ice Lance
     [56374] = 3,     -- Glyph of Icy Veins
  -- [56366] = ,      -- Glyph of Invisibility
     [89926] = 2,     -- Glyph of Living Bomb
  -- [56383] = ,      -- Glyph of Mage Armor
  -- [70937] = ,      -- Glyph of Mana Shield
     [63093] = {1,2}, -- Glyph of Mirror Image
  -- [56382] = ,      -- Glyph of Molten Armor
  -- [56375] = ,      -- Glyph of Polymorph
     [56384] = 2,     -- Glyph of Pyroblast
     [63091] = 1,     -- Glyph of Slow
  -- [57925] = ,      -- Glyph of Slow Fall
  -- [57927] = ,      -- Glyph of the Monkey
  -- [52648] = ,      -- Glyph of the Penguin

-- Paladin   1=holy, 2=prot, 3=ret
     [63218] = 1,     -- Glyph of Beacon of Light
  -- [57937] = ,      -- Glyph of Blessing of Kings
  -- [57958] = ,      -- Glyph of Blessing of Might
  -- [54935] = ,      -- Glyph of Cleansing
  -- [54928] = ,      -- Glyph of Consecration
     [54927] = {2,3}, -- Glyph of Crusader Strike
     [56414] = 2,     -- Glyph of Dazing Shield
     [54937] = 1,     -- Glyph of Divine Favor
  -- [63223] = ,      -- Glyph of Divine Plea
  -- [54924] = ,      -- Glyph of Divine Protection
  -- [54939] = ,      -- Glyph of Divinity
  -- [54934] = ,      -- Glyph of Exorcism
     [54930] = 2,     -- Glyph of Focused Shield
  -- [54923] = ,      -- Glyph of Hammer of Justice
     [63219] = 2,     -- Glyph of Hammer of the Righteous
  -- [54926] = ,      -- Glyph of Hammer of Wrath
     [63224] = 1,     -- Glyph of Holy Shock
  -- [56420] = ,      -- Glyph of Holy Wrath
  -- [57979] = ,      -- Glyph of Insight
     [54922] = {2,3}, -- Glyph of Judgement
  -- [57954] = ,      -- Glyph of Justice
  -- [57955] = ,      -- Glyph of Lay on Hands
     [54940] = 1,     -- Glyph of Light of Dawn
  -- [54925] = ,      -- Glyph of Rebuke
  -- [89401] = ,      -- Glyph of Righteousness
  -- [63225] = ,      -- Glyph of Salvation
     [54943] = 1,     -- Glyph of Seal of Insight
     [56416] = {2,3}, -- Glyph of Seal of Truth
     [63222] = 2,     -- Glyph of Shield of the Righteous
     [63220] = 3,     -- Glyph of Templar's Verdict
     [54938] = {2,3}, -- Glyph of the Ascetic Crusader
  -- [93466] = ,      -- Glyph of the Long Word
  -- [57947] = ,      -- Glyph of Truth
  -- [54931] = ,      -- Glyph of Turn Evil
  -- [54936] = ,      -- Glyph of Word of Glory
  
-- Priest   1=disc, 2=holy, 3=shadow
     [55675] = 2,     -- Glyph of Circle of Healing
     [63248] = {1,2}, -- Glyph of Desperation
  -- [55677] = ,      -- Glyph of Dispel Magic
     [63229] = 3,     -- Glyph of Dispersion
  -- [63246] = ,      -- Glyph of Divine Accuracy
  -- [55684] = ,      -- Glyph of Fade
  -- [57985] = ,      -- Glyph of Fading
  -- [55678] = ,      -- Glyph of Fear Ward
     [55679] = {1,2}, -- Glyph of Flash Heal
  -- [58009] = ,      -- Glyph of Fortitude
     [63231] = 2,     -- Glyph of Guardian Spirit
     [55683] = {1,2}, -- Glyph of Holy Nova
  -- [55686] = ,      -- Glyph of Inner Fire
  -- [57987] = ,      -- Glyph of Levitate
     [55673] = 2,     -- Glyph of Lightwell
  -- [55691] = ,      -- Glyph of Mass Dispel
     [55687] = 3,     -- Glyph of Mind Flay
     [63235] = 1,     -- Glyph of Penance
     [55689] = 1,     -- Glyph of Power Word: Barrier
     [55672] = {1,2}, -- Glyph of Power Word: Shield
     [55680] = {1,2}, -- Glyph of Prayer of Healing
     [55685] = {1,2}, -- Glyph of Prayer of Mending
  -- [55688] = ,      -- Glyph of Psychic Horror
  -- [55676] = ,      -- Glyph of Psychic Scream
     [55674] = {1,2}, -- Glyph of Renew
  -- [55690] = ,      -- Glyph of Scourge Imprisonment
  -- [57986] = ,      -- Glyph of Shackle Undead
  -- [107906]= ,      -- Glyph of Shadow -- minor
  -- [58015] = ,      -- Glyph of Shadow Protection
     [55682] = 3,     -- Glyph of Shadow Word: Death
     [55681] = 3,     -- Glyph of Shadow Word: Pain
  -- [58228] = ,      -- Glyph of Shadowfiend
  -- [55692] = ,      -- Glyph of Smite
  -- [63237] = ,      -- Glyph of Spirit Tap

-- Rogue   1=ass, 2=combat, 3=sub
     [56808] = 2,     -- Glyph of Adrenaline Rush
  -- [56813] = ,      -- Glyph of Ambush
  -- [56800] = ,      -- Glyph of Backstab
     [56818] = 2,     -- Glyph of Blade Flurry
  -- [91299] = ,      -- Glyph of Blind
  -- [58039] = ,      -- Glyph of Blurred Speed
  -- [63269] = ,      -- Glyph of Cloak of Shadows
  -- [56820] = ,      -- Glyph of Crippling Poison
  -- [56806] = ,      -- Glyph of Deadly Throw
  -- [58032] = ,      -- Glyph of Distract
  -- [56799] = ,      -- Glyph of Evasion
  -- [56802] = ,      -- Glyph of Eviscerate
  -- [56803] = ,      -- Glyph of Expose Armor
  -- [63254] = ,      -- Glyph of Fan of Knives
  -- [56804] = ,      -- Glyph of Feint
  -- [56812] = ,      -- Glyph of Garrote
  -- [56809] = ,      -- Glyph of Gouge
     [56807] = 3,     -- Glyph of Hemorrhage
  -- [56805] = ,      -- Glyph of Kick
     [63252] = 2,     -- Glyph of Killing Spree
     [63268] = 1,     -- Glyph of Mutilate
  -- [58027] = ,      -- Glyph of Pick Lock
  -- [58017] = ,      -- Glyph of Pick Pocket
  -- [58038] = ,      -- Glyph of Poisons
     [56819] = 3,     -- Glyph of Preparation
     [56814] = 2,     -- Glyph of Revealing Strike
  -- [56801] = ,      -- Glyph of Rupture
  -- [58033] = ,      -- Glyph of Safe Fall
  -- [56798] = ,      -- Glyph of Sap
     [63253] = 3,     -- Glyph of Shadow Dance
  -- [56821] = ,      -- Glyph of Sinister Strike
  -- [56810] = ,      -- Glyph of Slice and Dice
  -- [56811] = ,      -- Glyph of Sprint
  -- [63256] = ,      -- Glyph of Tricks of the Trade
  -- [89758] = ,      -- Glyph of Vanish
     [63249] = 1,     -- Glyph of Vendetta

-- Shaman   1=ele, 2=enh, 3=resto
  -- [58058] = ,      -- Glyph of Astral Recall
     [55437] = 3,     -- Glyph of Chain Heal
     [55449] = {1,2}, -- Glyph of Chain Lightning
     [63279] = 3,     -- Glyph of Earth Shield
     [55439] = 3,     -- Glyph of Earthliving Weapon
     [55452] = 1,     -- Glyph of Elemental Mastery
     [63271] = 2,     -- Glyph of Feral Spirit
  -- [55455] = ,      -- Glyph of Fire Elemental Totem
     [55450] = {1,2}, -- Glyph of Fire Nova
     [55447] = {1,2}, -- Glyph of Flame Shock
     [55451] = {1,2}, -- Glyph of Flametongue Weapon
  -- [55443] = ,      -- Glyph of Frost Shock
  -- [59289] = ,      -- Glyph of Ghost Wolf
  -- [55441] = ,      -- Glyph of Grounding Totem
  -- [55456] = ,      -- Glyph of Healing Stream Totem
     [55440] = 3,     -- Glyph of Healing Wave
  -- [63291] = ,      -- Glyph of Hex
     [55454] = 1,     -- Glyph of Lava Burst
     [55444] = 2,     -- Glyph of Lava Lash
     [55453] = {1,2}, -- Glyph of Lightning Bolt
  -- [55448] = ,      -- Glyph of Lightning Shield
  -- [58059] = ,      -- Glyph of Renewed Life
     [63273] = 3,     -- Glyph of Riptide
     [63280] = 2,     -- Glyph of Shamanistic Rage
     [55442] = {1,2}, -- Glyph of Shocking
  -- [63298] = ,      -- Glyph of Stoneclaw Totem
     [55446] = 2,     -- Glyph of Stormstrike
  -- [58135] = ,      -- Glyph of the Arctic Wolf
     [63270] = 1,     -- Glyph of Thunder
     [62132] = 1,     -- Glyph of Thunderstorm
  -- [55438] = ,      -- Glyph of Totemic Recall
  -- [101052]= ,      -- Glyph of Unleashed Lightning
  -- [89646] = ,      -- Glyph of Water Breathing
  -- [55436] = ,      -- Glyph of Water Shield
  -- [58057] = ,      -- Glyph of Water Walking
     [55445] = 2,     -- Glyph of Windfury Weapon

-- Warlock   1=aff, 2=demo, 3=destro
  -- [56241] = ,      -- Glyph of Bane of Agony
     [63304] = 3,     -- Glyph of Chaos Bolt
     [56235] = 3,     -- Glyph of Conflagrate
  -- [56218] = ,      -- Glyph of Corruption
  -- [58080] = ,      -- Glyph of Curse of Exhaustion -- aff tree but reachable
  -- [56232] = ,      -- Glyph of Death Coil
  -- [63309] = ,      -- Glyph of Demonic Circle
  -- [58070] = ,      -- Glyph of Drain Soul
  -- [58107] = ,      -- Glyph of Enslave Demon
  -- [58081] = ,      -- Glyph of Eye of Kilrogg
  -- [56244] = ,      -- Glyph of Fear
     [56246] = 2,     -- Glyph of Felguard
  -- [56249] = ,      -- Glyph of Felhunter
     [63302] = 1,     -- Glyph of Haunt
  -- [56238] = ,      -- Glyph of Health Funnel     
  -- [56224] = ,      -- Glyph of Healthstone
  -- [56217] = ,      -- Glyph of Howl of Terror
     [56228] = {2,3}, -- Glyph of Immolate
  -- [56248] = ,      -- Glyph of Imp
     [56242] = 3,     -- Glyph of Incinerate
  -- [70947] = ,      -- Glyph of Lash of Pain
  -- [63320] = ,      -- Glyph of Life Tap
     [63303] = 2,     -- Glyph of Metamorphosis
  -- [58094] = ,      -- Glyph of Ritual of Souls   
  -- [56250] = ,      -- Glyph of Seduction
  -- [56240] = ,      -- Glyph of Shadow Bolt
     [56229] = 3,     -- Glyph of Shadowburn
  -- [63310] = ,      -- Glyph of Shadowflame
  -- [63312] = ,      -- Glyph of Soul Link
     [56226] = 1,     -- Glyph of Soul Swap
  -- [56231] = ,      -- Glyph of Soulstone
  -- [58079] = ,      -- Glyph of Unending Breath
     [56233] = 1,     -- Glyph of Unstable Affliction
  -- [56247] = ,      -- Glyph of Voidwalker
  
-- Warrior   1=arms, 2=fury, 3=prot
  -- [58095] = ,      -- Glyph of Battle
  -- [58096] = ,      -- Glyph of Berserker Rage
  -- [63324] = 1,     -- Glyph of Bladestorm
     [58367] = 2,     -- Glyph of Bloodthirst
     [58369] = 2,     -- Glyph of Bloody Healing
  -- [58366] = ,      -- Glyph of Cleaving
  -- [89003] = ,      -- Glyph of Colossus Smash
  -- [68164] = ,      -- Glyph of Command
     [94374] = 2,     -- Glyph of Death Wish
  -- [58099] = ,      -- Glyph of Demoralizing Shout
     [58388] = 3,     -- Glyph of Devastate  
  -- [58104] = ,      -- Glyph of Enduring Victory
  -- [63326] = ,      -- Glyph of Furious Sundering
  -- [58357] = ,      -- Glyph of Heroic Throw
  -- [94372] = ,      -- Glyph of Intercept
  -- [58377] = ,      -- Glyph of Intervene
  -- [63327] = ,      -- Glyph of Intimidating Shout
  -- [58097] = ,      -- Glyph of Long Charge
     [58368] = 1,     -- Glyph of Mortal Strike
     [58386] = 1,     -- Glyph of Overpower
  -- [58372] = ,      -- Glyph of Piercing Howl
  -- [58370] = 2,     -- Glyph of Raging Blow
  -- [58355] = ,      -- Glyph of Rapid Charge
  -- [58356] = ,      -- Glyph of Resonating Power
  -- [58364] = ,      -- Glyph of Revenge
     [58375] = 3,     -- Glyph of Shield Slam
  -- [63329] = ,      -- Glyph of Shield Wall
     [63325] = 3,     -- Glyph of Shockwave
  -- [58385] = ,      -- Glyph of Slam     
  -- [63328] = ,      -- Glyph of Spell Reflection
  -- [58387] = ,      -- Glyph of Sunder Armor
     [58384] = 1,     -- Glyph of Sweeping Strikes
  -- [58098] = ,      -- Glyph of Thunder Clap
  -- [58382] = ,      -- Glyph of Victory Rush

}
  
